#include "app_inc.h"

//===========================================================================
//任务名称：task_C
//功能概要：蓝灯每2秒亮1秒
//参数说明：未使用
//===========================================================================
void task_C(uint_32 initial_data)
{			
	_time_delay_ticks(DELAY_TIMES*2);
	while (TRUE) 
	{
		uart_send_string(UART_1,"task_C---蓝灯亮---\n");
		light_control(LIGHT_PORT, LIGHT_PIN_BLUE,LIGHT_ON);
		_time_delay_ticks(DELAY_TIMES);//延时DELAY_TIMES(放弃CPU控制权)
		light_control(LIGHT_PORT, LIGHT_PIN_BLUE,LIGHT_OFF);
		_time_delay_ticks(DELAY_TIMES*2);
	}
}
